Bug 443295 - RFE: allow bluetooth enable/disable via applet
RFE: allow bluetooth enable/disable via applet
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-20 07:31 EDT by Ralf Ertzinger
Modified: 2013-12-11 04:44 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-11 04:44:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 556262 None None None Never

  None (edit)
Description Ralf Ertzinger 2008-04-20 07:31:26 EDT
Description of problem:
In short, I'd like to be able to enable/disable the bluetooth transmitter via
the gnome applet (my laptop has BT built in, so I can not simply yank the dongle).
This wish is partially driven by security, and partiall driven by power
management reasons.

Version-Release number of selected component (if applicable):
bluez-gnome-0.25-1.fc9.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthias Clasen 2008-08-25 09:35:29 EDT
Seems the easiest way would be to add an "Off" choice to the "Mode of operation" radio group in the preferences.
Comment 2 Bastien Nocera 2008-10-13 08:23:23 EDT
btusb is much better in terms of power management, and won't wake up as much as hci_usb used to when not connected to anything.

You can already disable the bluetooth dongle using the "killswitch" in the general tab of the bluez-gnome preferences (from version 1.7). If nothing appears there, then your laptop doesn't have HAL killswitch support.
Comment 3 Ralf Ertzinger 2008-10-13 16:23:07 EDT
Actually there is a checkbox there, but it's greyed out.

Says tpacpi_bluetooth_sw bluetooth Killswitch

ThinkPad X60s, so that fits.
Comment 4 Bastien Nocera 2008-10-13 17:48:34 EDT
What's the output of ck-list-sessions when you're logged in?
Comment 5 Ralf Ertzinger 2008-10-14 06:50:58 EDT
$ ck-list-sessions
Session2:
        unix-user = '500'
        realname = 'Ralf Ertzinger'
        seat = 'Seat1'
        session-type = ''
        active = TRUE
        x11-display = ':0'
        x11-display-device = '/dev/tty7'
        display-device = ''
        remote-host-name = ''
        is-local = TRUE
        on-since = '2008-10-14T08:51:59.299521Z'
        login-session-id = '1'
Comment 6 Bastien Nocera 2008-10-14 09:10:29 EDT
This happens when org.freedesktop.Hal.Device.KillSwitch returns an error.

I filed this upstream bug to make sure we don't forget about adding support for the killswitches directly in the applet:
http://bugzilla.gnome.org/show_bug.cgi?id=556262

But the bug is now a hal and/or kernel problem.
Comment 7 Dominik 'Rathann' Mierzejewski 2009-03-09 16:25:28 EDT
Still no way to do it on F-10.
gnome-bluetooth-0.11.0-5.fc10.i386
Comment 8 Bastien Nocera 2009-03-09 19:49:14 EDT
On F10, gnome-bluetooth only contains a bunch of libraries. It will work with gnome-bluetooth in rawhide (which contains a fork of bluez-gnome) so long that the killswitch is exposed through HAL. Eg. it works on my Dell laptop.

Matthew, do you know why tp_acpi's killswitch wouldn't work?
Comment 9 Matthew Garrett 2009-03-09 20:08:00 EDT
Not off-hand - there ought to be something in the hal debug output.
Comment 10 Christopher Beland 2013-02-20 13:15:25 EST
This was first seen in Rawhide and last seen in Fedora 10.  In Fedora 18 (gnome-bluetooth-3.6.1-2.fc18.x86_64) there is a Bluetooth icon on the black Gnome Shell bar, with options that I assume take care of this.  Also, the upstream bug has been closed.

Can this bug be closed, or is there still work to be done?
Comment 11 Richard Hughes 2013-12-11 04:44:57 EST
HAL is dead and obsolete now.

Note You need to log in before you can comment on or make changes to this bug.